0.45
No release in over 3 years
Low commit activity in last 3 years
Scientific gems for Ruby. This is the full installation with rigid version constraints.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
 Dependencies

Runtime

= 1.13
= 0.6.1
= 0.0.10
= 1.5.0
= 0.14.1
= 0.1.2
= 0.1.0
= 0.9.3
= 0.8.0
= 2.6.2
= 0.3.4
= 0.6.0
= 2.1.0
= 3.0.0
= 0.2.4.1
= 0.2.9
= 0.0.9
= 0.1.3
= 0.2.1
= 0.1.6
= 1.8.0
= 0.9.9
= 0.0.1
= 0.10.3
= 1.7.9
= 1.4.0
= 1.2.6
= 0.6.1
= 0.2.11
= 2.0.2
= 1.19.1
= 0.5.0
 Project Readme

SciRuby meta gem Build Status

Tools for Scientific Computing in Ruby

Description

This gem acts as a meta gem which collects and provides multiple scientific gems, including numeric and visualization libraries.

Getting started

Installation:

gem install sciruby
gem install sciruby-full

If you want to have a full-blown installation, install sciruby-full.

Start a notebook server:

iruby notebook

Enter commands:

require 'sciruby'
# Scientific gems are auto loaded, you can use them directly!
plot = Nyaplot::Plot.new
sc = plot.add(:scatter, [0,1,2,3,4], [-1,2,-3,4,-5])

Take a look at gems.yml or the list of gems for interesting gems which are included in sciruby-full.

License

Copyright (c) 2010 onward, The Ruby Science Foundation.

All rights reserved.

SciRuby is licensed under the BSD 3-clause license. See LICENSE for details.

Donations

Support a SciRuby Fellow via Pledgie.